Tool
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class Tool

- java.lang.Object
- - de.jost_net.OBanToo.Dtaus.Tool

-     public class Tool
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `leer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tool()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatBetrag(java.math.BigInteger value)`
    `static java.lang.String` | `formatBLZ(long value)`
    `static java.lang.String` | `formatErweiterung(int value)`
    `static java.lang.String` | `formatKonto(long value)`
    `static java.lang.String` | `formatKontollAnzahl(int value)`
    `static java.lang.String` | `formatKontroll17(java.math.BigInteger value)`
    `static java.lang.String` | `formatKontrollSumme(java.math.BigInteger value)`
    `static java.lang.String` | `formatQIFBetrag(double value)`
    `static java.lang.String` | `formatQIFDate(java.util.Date value)`
    `static java.lang.String` | `formatSL(int value)`
    `static java.lang.String` | `formatTextschluessel(int value)`
    `static java.util.Date` | `parseQIFDate(java.lang.String value)`
    `static java.lang.String` | `space(int anzahl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leer

          private static java.lang.String leer

  - ### Constructor Detail

    - #### Tool

          public Tool()

  - ### Method Detail

    - #### space

          public static java.lang.String space(int anzahl)

    - #### formatSL

          public static java.lang.String formatSL(int value)

    - #### formatErweiterung

          public static java.lang.String formatErweiterung(int value)

    - #### formatKontollAnzahl

          public static java.lang.String formatKontollAnzahl(int value)

    - #### formatKontrollSumme

          public static java.lang.String formatKontrollSumme(java.math.BigInteger value)

    - #### formatKontroll17

          public static java.lang.String formatKontroll17(java.math.BigInteger value)

    - #### formatBetrag

          public static java.lang.String formatBetrag(java.math.BigInteger value)

    - #### formatQIFBetrag

          public static java.lang.String formatQIFBetrag(double value)

    - #### formatBLZ

          public static java.lang.String formatBLZ(long value)

    - #### formatKonto

          public static java.lang.String formatKonto(long value)

    - #### formatTextschluessel

          public static java.lang.String formatTextschluessel(int value)

    - #### formatQIFDate

          public static java.lang.String formatQIFDate(java.util.Date value)

    - #### parseQIFDate

          public static java.util.Date parseQIFDate(java.lang.String value)
                                             throws java.text.ParseException

      Throws:
        `java.text.ParseException`